const management: AuthRoute.Route = {
	name: "management",
	path: "/management",
	component: "basic",
	children: [
		{
			name: "management_auth",
			path: "/management/auth",
			component: "self",
			meta: {
				title: "权限管理",
				i18nTitle: "message.routes.management.auth",
				requiresAuth: true,
				icon: "ic:baseline-security",
			},
		},
		{
			name: "management_role",
			path: "/management/role",
			component: "self",
			meta: {
				title: "角色管理",
				i18nTitle: "message.routes.management.role",
				requiresAuth: true,
				icon: "carbon:user-role",
			},
		},
		{
			name: "management_user",
			path: "/management/user",
			component: "self",
			meta: {
				title: "用户管理",
				i18nTitle: "message.routes.management.user",
				requiresAuth: true,
				icon: "ic:round-manage-accounts",
			},
		},
		{
			name: "management_route",
			path: "/management/route",
			component: "self",
			meta: {
				title: "路由管理",
				i18nTitle: "message.routes.management.route",
				requiresAuth: true,
				icon: "material-symbols:route",
			},
		},
		{
			name: "management_crouse",
			path: "/management/crouse",
			component: "self",
			meta: {
				title: "课程管理",
				i18nTitle: "课程管理",
				requiresAuth: true,
				icon: "majesticons:book-open",
			},
		},
		{
			name: "management_attendance",
			path: "/management/attendance",
			component: "multi",
			children: [
				{
					name: 'management_attendance_first',
					path: '/management/attentance/first',
					component: 'self',
					meta: {
            title: '排课信息',
            i18nTitle: '考勤详细信息',
            requiresAuth: true,
            icon: 'memory:calendar-month'
          }
				},
				{
					name: 'management_attendance_firstTwo',
					path: '/management/attentance/firstTwo',
					component: 'self',
					meta: {
            title: '班级签到信息',
            i18nTitle: '班级信息',
            requiresAuth: true,
            icon: 'cryptocurrency-color:block'
          }
				},
				{
					name: 'management_attendance_firstThree',
					path: '/management/attentance/firstThree',
					component: 'self',
					meta: {
            title: '班级信息',
            i18nTitle: '学生信息',
            requiresAuth: true,
            icon: 'cryptocurrency-color:block'
          }
				},
			],
			meta: {
				title: "考勤管理",
				i18nTitle: "考勤管理",
				requiresAuth: true,
				icon: "zondicons:align-left",
			},
		},
	],
	meta: {
		title: "系统管理",
		i18nTitle: "message.routes.management._value",
		icon: "carbon:cloud-service-management",
		order: 12,
	},
};

export default management;
